# $Revision: 1.24 $, $Date: 2001/01/25 19:55:41 $
Summary:	Structure of Management Information library
Name:		libsmi
Version:	0.3.0
Release:	1
License:	distributable (see COPYING file)
Group:		Libraries
Group(de):	Libraries
Group(fr):	Librairies
Group(pl):	Biblioteki
Source0:	ftp://ftp.ibr.cs.tu-bs.de/pub/local/libsmi/%{name}-%{version}.tar.gz
URL:		http://www.ibr.cs.tu-bs.de/projects/libsmi/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr

%description
Libsmi is a C library that allows network management applications to
access MIB module information through a well defined API that hides
the nasty details of locating and parsing SMIv1/v2 MIB modules.

Libsmi supports exact and iterative retrieval functions for all major
SMIv1 and SMIv2 constructs (except the AGENT-CAPABILITIES statement).

The layered concept of libsmi allows to add further methods to
retrieve MIB information from persistent repositories. In fact,
besides the SMIv1/v2 MIB file parser an additional parser for `SMIng'
is included. Both parsers are built on flex/bison grammar
specifications.

SMIng is a research project concerned with the definition of a MIB
module language that is semantically fully compatible with SMIv2 but
avoids many problems of the ASN.1 based SMI versions.

Included with the library, there are three tools that make use of
libsmi: Smiquery allows simple queries of single MIB module items.
Smilint allows to increase the verbosity of the parser(s), so that MIB
modules can be checked for syntax and semantic errors. Finally,
smidump can be used to dump MIB modules. Currently, SMIng and SMIv2
are supported as output formats, so that SMIv2 <-> SMIng conversions
are possible.

%package devel
Summary:	Header files and development documentation for libsmi
Summary(pl):	Pliki nagwkowe i dokumentacja do libsmi
Group:		Development/Libraries
Group(de):	Entwicklung/Libraries
Group(fr):	Development/Librairies
Group(pl):	Programowanie/Biblioteki
Requires:	%{name} = %{version}

%description devel
Header files and development documentation for libsmi.

%description -l pl devel
Pliki nagwkowe i dokumentacja do libsmi.

%package static
Summary:	Static libsmi libraries
Summary(pl):	Biblioteki statyczne libsmi
Group:		Development/Libraries
Group(de):	Entwicklung/Libraries
Group(fr):	Development/Librairies
Group(pl):	Programowanie/Biblioteki
Requires:	%{name}-devel = %{version}

%description static
Static libsmi libraries.

%description -l pl static
Biblioteki statyczne libsmi.

%prep
%setup -q

%build
%configure \
	--enable-smi \
	--enable-sming \
	--enable-shared \
	--enable-static \
	--with-mibdir=%{_datadir}/mibs

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

gzip -9nf ChangeLog README THANKS TODO \
	doc/draft-irtf-nmrg-sming-*.txt

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/lib*.so.*
%{_datadir}/mibs
%{_mandir}/man1/*

%files devel
%defattr(644,root,root,755)
%doc *.gz doc/draft-irtf-nmrg-sming-*.txt.gz
%attr(755,root,root) %{_libdir}/lib*.so
%attr(755,root,root) %{_libdir}/lib*.la
%{_includedir}/*
%{_mandir}/man3/*
%{_datadir}/aclocal/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: libsmi.spec,v $
Revision 1.24  2001/01/25 19:55:41  kloczek
- updated to 0.2.13.

Revision 1.23  2000/12/06 21:55:43  kloczek
- updated to 0.2.12.

Revision 1.22  2000/12/04 18:21:14  kloczek
- updated to 0.2.11.

Revision 1.21  2000/11/26 22:40:01  kloczek
- updated to 0.2.10.

Revision 1.20  2000/11/22 08:58:22  kloczek
- updated to 0.2.9.

Revision 1.19  2000/11/16 06:44:14  kloczek
- updated to 0.2.8.

Revision 1.18  2000/11/10 19:51:13  kloczek
- updated to 0.2.7.

Revision 1.17  2000/11/01 02:53:30  kloczek
- updated to 0.2.6.

Revision 1.16  2000/10/18 22:09:20  kloczek
- release2: use new rpm automation.

Revision 1.15  2000/07/19 23:56:55  kloczek
- updated to 0.2.5.

Revision 1.14  2000/06/27 21:09:35  kloczek
- updated to 0.2.3.

Revision 1.13  2000/06/09 07:54:44  kloczek
- more %%{__make} macros.

Revision 1.12  2000/06/09 07:23:24  kloczek
- added using %%{__make} macro.

Revision 1.11  2000/05/29 23:55:32  kloczek
- updated to 0.2.1,
- spec adapterized.

Revision 1.10  2000/04/01 11:14:52  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.9  2000/03/28 16:54:41  baggins
- translated kloczkish into english

Revision 1.8  2000/02/15 17:56:16  kloczek
- fixed %doc list.

Revision 1.7  2000/02/15 16:53:43  kloczek
- updated to 0.2.

Revision 1.6  1999/12/16 09:27:00  kloczek
- updated %doc %files list.

Revision 1.5  1999/12/16 08:22:59  kloczek
- update to 0.1.8.

Revision 1.4  1999/10/08 22:35:38  kloczek
- updated to 0.1.7.

Revision 1.3  1999/09/30 18:52:39  kloczek
- added missing %post/%postun with runing /sbin/ldconfig.

Revision 1.2  1999/09/30 18:50:42  kloczek
- removed NEWS from compressed fiels list.

Revision 1.1  1999/09/30 18:45:45  kloczek
- libsmi spec written from scratch.
